/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package benten.twa.xliff.core;

import java.io.IOException;

import benten.twa.xliff.core.valueobject.BentenMergeXliffFragmentProcessInput;

/**
 * 処理 [BentenMergeXliffFragmentProcess]インタフェース。
 *
 * このインタフェースを継承して [benten.twa.xliff.core]パッケージに[BentenMergeXliffFragmentProcess]クラスを作成して実際のバッチ処理を実装してください。<br>
 */
interface BentenMergeXliffFragmentProcess {
    /**
     * クラスをインスタンス化して処理を実行する際のエントリポイントです。
     *
     * @param input 処理の入力パラメータ。
     * @return 処理の実行結果。
     * @throws IOException 入出力例外が発生した場合。
     * @throws IllegalArgumentException 入力値に不正が見つかった場合。
     */
    int execute(final BentenMergeXliffFragmentProcessInput input) throws IOException, IllegalArgumentException;
}
